Bug 1279737 - [RFE] Add a way to wait for events, i.e. a host status change
[RFE] Add a way to wait for events, i.e. a host status change
Status: CLOSED WONTFIX
Product: ovirt-engine-cli
Classification: oVirt
Component: Core (Show other bugs)
3.6.0.0
Unspecified Unspecified
low Severity medium (vote)
: ---
: ---
Assigned To: Juan Hernández
Pavel Stehlik
infra
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 02:46 EST by Fabian Deutsch
Modified: 2016-02-10 14:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-22 10:55:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
juan.hernandez: ovirt‑future?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2015-11-10 02:46:23 EST
Description of problem:
Currently I need to poll with ovirt-shell to see when the status of a host changes.
It would be nice if I the ovirt-shell could wait for specific events (like virsh event)

Example:
add host …
event status-change
add vm …
Comment 1 Juan Hernández 2015-11-10 05:58:27 EST
It is
Comment 2 Juan Hernández 2015-11-10 05:59:11 EST
It is very unlikely that we do something like this in the future, as it would require fundamental changes on how the CLI and the RESTAPI work.
Comment 3 Yaniv Kaul 2015-11-22 10:55:34 EST
(In reply to Juan Hernández from comment #2)
> It is very unlikely that we do something like this in the future, as it
> would require fundamental changes on how the CLI and the RESTAPI work.

Closing for the time being. (I'm pretty sure I closed a similar RFE from QE as well recently though - perhaps it was via REST, but some idea).

Note You need to log in before you can comment on or make changes to this bug.